#include "pch.h"
#include "log.h"
#include "node_about.h"
#include "layout.h"

Node* NodeAbout::clone_instantiate() const
{
    return new NodeAbout();
}

void NodeAbout::init()
{
    SetPosition(0, 0);
    SetWidthP(100);
    SetHeightP(100);
    SetPositioning(YGPositionTypeAbsolute);
    add_child_file("data/dialogs/about.xml", "about");
    btn_ok = find<NodeButton>("btn-ok");
}

kEventResult NodeAbout::handle_event(Event* e)
{
    return kEventResult::Consumed;
}
